dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: true
  respect-rules: true
  enhanced-mode: fake-ip
  use-hosts: true
  default-nameserver:
    - 223.5.5.5
  nameserver:
    - tls://223.5.5.5
    - tls://223.6.6.6
  proxy-server-nameserver:
    - tls://223.5.5.5
  fallback:
    - tls://9.9.9.9
    - tls://1.1.1.1
  fallback-filter:
    geoip: true
    geoip-code: CN
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "*"
    - "+.lan"
    - "+.local"
    - "+.stun.*.*"

proxies:
  - name: CAN-4
    type: anytls
    server: cn-can4.access.moecl.com
    port: 10201
    password: b02d695b-818e-4ea9-b493-48399966ace2
    udp: true
    sni: cn-can4.access.moecl.com
    alpn:
      - h2
    client-fingerprint: chrome
    skip-cert-verify: true

  - name: HKG-1P
    type: anytls
    server: cn-can4.access.moecl.com
    port: 33000
    password: 1653d54f-f1c6-4ab4-bb00-793dd1c3e8e8
    udp: true
    sni: hk-hkg1.access.moecl.com
    alpn:
      - h2
    client-fingerprint: chrome
    skip-cert-verify: true

  - name: HKG-5M
    type: anytls
    server: cn-szx3.access.moecl.com
    port: 9011
    password: 60da8a09-bd7d-404e-9753-f9b45ec71df7
    udp: true
    sni: hk-hkg5.access.moecl.com
    alpn:
      - h2
    client-fingerprint: chrome
    skip-cert-verify: true

  - name: NRT-4P
    type: anytls
    server: cn-can4.access.moecl.com
    port: 33004
    password: 3d809ee9-6ad1-4c15-b3cc-4b3f7809e02f
    udp: true
    sni: jp-nrt4.access.moecl.com
    alpn:
      - h2
    client-fingerprint: chrome
    skip-cert-verify: true

  - name: TPE-1P
    type: anytls
    server: cn-can4.access.moecl.com
    port: 33008
    password: 10576987-ed82-4e3b-bbc2-c91a08f49c80
    udp: true
    sni: tw-tpe1.access.moecl.com
    alpn:
      - h2
    client-fingerprint: chrome
    skip-cert-verify: true

proxy-groups:
  - name: Global
    type: select
    proxies:
      - DIRECT
      - REJECT
      - HKG-1P
      - HKG-5M
      - NRT-4P
      - TPE-1P

  - name: China
    type: select
    proxies:
      - DIRECT
      - REJECT
      - Global
      - HKG-1P
      - HKG-5M
      - NRT-4P
      - TPE-1P

rules:
  - IP-CIDR,100.64.0.0/10,CAN-4
  - IP-CIDR,172.20.0.0/14,CAN-4
  - GEOIP,CN,China
  - MATCH,Global
